@charset "UTF-8";
/* CSS Document */

html,
html * {
    margin: 0;
    padding: 0;
    list-style: none;
	text-decoration: none;
    box-sizing: border-box;
}

body {
    background-color: #78cdd0;
    font-family:YuGothic, "Yu Gothic medium", "Hiragino Sans", Meiryo, "sans-serif";
    text-align: center;
}

.mountains-of-christmas-regular {
    font-family: "Mountains of Christmas", serif;
    font-weight: 400;
    font-style: normal;
}

.mountains-of-christmas-bold {
    font-family: "Mountains of Christmas", serif;
    font-weight: 700;
    font-style: normal;
    font-size: 72px;
}

header {
    position: relative;
    padding: 20px;
    background-color: #FFFFFF;
    margin-bottom: 20px;
    border-top: 10px solid #78cdd0;
}

img {
    max-width: 100%;
    height: auto;
    vertical-align: middle;
}

/*------------------------------------
  グローバルナビゲーション
------------------------------------*/
.nav-menu li a:hover {
    color: #fdd4bd;
}

.nav-menu ul {
    list-style-type: none;
    text-align: center;
}

.nav-menu ul li {
    display: inline-block;
    background-color: #78cdd0;
    border-radius: 50%;
    padding: 8px;
    margin: 1px 0;
}

.nav-menu ul li a {
    text-decoration: none;
    color: #2f322A;
    text-align: center;
    display: block;
    text-transform: uppercase;
    padding: 8px;
}

/* ハンバーガーアイコン */
.hamburger {
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 24px;
    cursor: pointer;
    position: absolute;
    top: 25px;
    right: 20px;
    z-index: 1100;
}
.hamburger span {
    width: 100%;
    height: 3px;
    background: #333;
    border-radius: 2px;
    transition: 0.3s;
}

/* ハンバーガー開閉時のアニメーション */
.hamburger.open span:nth-child(1) {
    transform: rotate(45deg) translate(8px, 11px);
}
.hamburger.open span:nth-child(2) {
    opacity: 0;
}
.hamburger.open span:nth-child(3) {
    transform: rotate(-45deg) translate(4px, -6px);
}

h1 {
    font-size: 72px;
    font-weight: 400;
    color: #ea9395;
    text-shadow: 8px 10px #fff;
}

h2 {
    font-size: 24px;
    font-weight: 200;
    margin-bottom: 20px;
}

p {
    font-size: 16px;
    font-weight: 200;
    margin-bottom: 30px;
}

.container-fluid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.gray-box {
    background-color: #2d2d35;
    color: #fff;
    padding: 60px 18px;
    text-align: center;
}

.col-md {
    width: 100%;
}

.col {
    padding: 5px;
}

footer{
    width: 100%;
    padding: 20px 30px;
    background-color: #bdecf1;
}

.footer-text {
    font-size: 11px;
    margin-bottom: 20px;
}


/*------------------------------------
  メディアクエリ
------------------------------------*/
/*--タブレット--*/
@media (min-width: 768px) {
    body {
        margin: 0 auto;
    }
    
    h1 {
        font-size: 30px;
        margin-bottom: 90px;
    }
    
    .col-md {
        width: 45%;
    }   
     
    .side-box{
        display:flex;
        flex-flow: column;
        background-color: aliceblue;
    }
}

/*-- ナビゲーションの表示切替 --*/
@media (max-width: 768px) {
     header {
        background-image: url("images/images/sun_03.png");
    }
    .hamburger {
        display: flex;
    }
    
    .nav-menu {
        width: 100%;
        height: 100vh;
        display: none;
        background: rgba(0,0,0,0.5);
        position: absolute;
        top: 0px;
        right: 0px;
        padding: 10px;
        transition: 0.3s;
        z-index: 1000;
    }
    
    .nav-menu.active {
        display: flex;
        opacity: 1;
        visibility: visible;
    }
}

/*--　タブレット　背景指定--*/
@media (min-width: 768px) and (max-width: 1024px){
    header {
        background-image: url("images/images/momota_03.png");
    }
}

/*-- pc向け --*/
@media (min-width: 1024px) {
    header {
    background-image: url("images/images/kotatsu_03.png");
}
    
    .col-md {
        width: 22%;
    }
    
    .side-box{
        width: 22%;
    }
}